C++ Programs‎ > ‎

Simple Program for Exception Handling with Multiple Catch Using C++ Programming


C++ Simple Example Programs For Beginners

To perform exception handling with multiple catch.

ALGORITHM:

Step 1: Start the program.
Step 2: Declare and define the function test().
Step 3: Within the try block check whether the value is greater than zero or not.
a.    if  the value greater than zero throw the value and catch the corresponding exception.
b.    Otherwise throw the character and catch the corresponding exception.
Step 4: Read the integer and character values for the function test().
Step 5: Stop the program.

PROGRAM:

#include<iostream.h>
#include<conio.h>
void test(int x)
{
   try
   {
              if(x>0)
                 throw x;
        else
                 throw 'x';
   }
 
   catch(int x)
   {
              cout<<"Catch a integer and that integer is:"<<x;
   }
 
   catch(char x)
   {
              cout<<"Catch a character and that character is:"<<x;
   }
}
 
void main()
{
   clrscr();
   cout<<"Testing multiple catches\n:";
   test(10);
   test(0);
   getch();

Output:

Testing multiple catches
Catch a integer and that integer is: 10
Catch a character and that character is: x